org.apache.flume

## Class SystemClock

- java.lang.Object
- - org.apache.flume.SystemClock

- All Implemented Interfaces:
    Clock

      public class SystemClock
      extends Object
      implements Clock

  Default implementation of Clock which uses System

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SystemClock()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `currentTimeMillis()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SystemClock

          public SystemClock()

  - ### Method Detail

    - #### currentTimeMillis

          public long currentTimeMillis()

      Specified by:
        `currentTimeMillis` in interface `Clock`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.